Package org.xnio.channels

# Interface WrappedChannel<C extends Channel>

Type Parameters:
  `C` - the wrapped channel type

All Known Implementing Classes:
  `FramedMessageChannel`, `PushBackStreamChannel`, `TranslatingSuspendableChannel`

public interface WrappedChannel<C extends Channel>
A wrapped channel.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`C`
`getChannel()`
Get the channel which is wrapped by this object.

## Method Details

### getChannel

C getChannel()
Get the channel which is wrapped by this object.

Returns:
  the wrapped channel